aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-09-29 12:19:13 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-09-29 12:22:20 +0200
commitb3186538163e873fd58986184586ac5a4463fd17 (patch)
tree5f867d2b66e6a94a07533dd52f92117f25106fdf
parente29b660f31b1eac2690bd09b77e1fd6b8f4e2192 (diff)
Add some more output in case the service is not up to assist debugging
Change-Id: Ia61db614df402ccf9daf37ef685a002b08e3d824 Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
-rwxr-xr-xcommon/scripts/service-check.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/common/scripts/service-check.sh b/common/scripts/service-check.sh
index 6ffa6f6..4dc0a25 100755
--- a/common/scripts/service-check.sh
+++ b/common/scripts/service-check.sh
@@ -7,12 +7,15 @@ ALL="${REQUIREDSOCKETS} ${REQUIREDSERVICES}"
RESULT="unknown"
for i in ${ALL} ; do
+ echo "########## Test for service ${i} being active ##########"
systemctl is-active ${i} >/dev/null 2>&1
if [ $? -eq 0 ] ; then
RESULT="pass"
else
+ systemctl status ${i} || true
RESULT="fail"
fi
+ echo "########## Result for service ${i} : $RESULT ##########"
lava-test-case ${i} --result ${RESULT}
done